# ux-accordion



<!-- Auto Generated Below -->


## Properties

| Property           | Attribute            | Description                                                                   | Type     | Default                 |
| ------------------ | -------------------- | ----------------------------------------------------------------------------- | -------- | ----------------------- |
| `activeTitleClass` | `active-title-class` | The class to be passes to the title of the accordion when it becomes active   | `string` | `"ux-text-link--green"` |
| `noAccordionFrom`  | `no-accordion-from`  | the amount in pixels from wich the accordion functionality is deactivated     | `number` | `null`                  |
| `noClickSelector`  | `no-click-selector`  | If a click event is detected on this selector, the accordion will not trigger | `string` | `""`                    |


## Slots

| Slot          | Description                         |
| ------------- | ----------------------------------- |
| `"(default)"` | The content of the accordion        |
| `"title"`     | the element for the accordion title |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-accordion --> ux-icon
  style ux-accordion fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
