# ux-autosuggest-input



<!-- Auto Generated Below -->


## Properties

| Property      | Attribute     | Description                                                            | Type      | Default |
| ------------- | ------------- | ---------------------------------------------------------------------- | --------- | ------- |
| `disabled`    | `disabled`    | indicates if the autosuggest input is disabled                         | `boolean` | `false` |
| `error`       | `error`       | indicates if the autosuggest input has an error                        | `boolean` | `false` |
| `errorMsg`    | `error-msg`   | Error message that is rendered if component has an error               | `string`  | `null`  |
| `inputId`     | `input-id`    | id attribute for input. A unique id will be generated if this is empty | `string`  | `""`    |
| `label`       | `label`       | label for input                                                        | `string`  | `""`    |
| `name`        | `name`        | name attribute for input                                               | `string`  | `""`    |
| `placeholder` | `placeholder` | placeholder text for input                                             | `string`  | `""`    |
| `required`    | `required`    | indicates if the autosuggest input is required                         | `boolean` | `false` |
| `url`         | `url`         | URL for autosuggest-API                                                | `string`  | `""`    |


## Dependencies

### Depends on

- [ux-autosuggest-item](autosuggest-item)

### Graph
```mermaid
graph TD;
  ux-autosuggest-input --> ux-autosuggest-item
  style ux-autosuggest-input fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
