# ux-direct-searchbox



<!-- Auto Generated Below -->


## Properties

| Property      | Attribute     | Description                                                         | Type      | Default |
| ------------- | ------------- | ------------------------------------------------------------------- | --------- | ------- |
| `buttonText`  | `button-text` | the submit button label                                             | `string`  | `""`    |
| `disabled`    | `disabled`    | flag that controls if the searchbox is disabled                     | `boolean` | `false` |
| `error`       | `error`       | flag that indicates that the search api has responded with an error | `boolean` | `false` |
| `errorMsg`    | `error-msg`   | an error message which is rendered in error state                   | `string`  | `null`  |
| `inputId`     | `input-id`    | an optional unique id for the input element                         | `string`  | `""`    |
| `label`       | `label`       | the input label text                                                | `string`  | `""`    |
| `name`        | `name`        | the input name                                                      | `string`  | `"q"`   |
| `pending`     | `pending`     | flag that indicates a pending search request                        | `boolean` | `false` |
| `placeholder` | `placeholder` | the input placeholder text                                          | `string`  | `""`    |
| `url`         | `url`         | the API endpoint from which data is requested                       | `string`  | `""`    |


----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
