# ux-dropdown



<!-- Auto Generated Below -->


## Properties

| Property                  | Attribute                   | Description                                                                                                                            | Type      | Default    |
| ------------------------- | --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- | --------- | ---------- |
| `filterable`              | `filterable`                | This toggles the text-input to filter the dropdown items                                                                               | `boolean` | `false`    |
| `label`                   | `label`                     | <span style="color:red">**[DEPRECATED]**</span> since version 2.13.2, use "placeholder" insead<br/><br/>Text displayed on the Dropdown | `string`  | `""`       |
| `name`                    | `name`                      | Name Identifies the dropdown in a bigger context (for example in forms, filters)                                                       | `string`  | `""`       |
| `parentContainerSelector` | `parent-container-selector` | Set parent container to calculate max width of dropdown and activating scrollbar overflow if necessary                                 | `string`  | `""`       |
| `placeholder`             | `placeholder`               | Text displayed inside the Dropdown                                                                                                     | `string`  | `""`       |
| `searchPlaceholder`       | `search-placeholder`        | The placeholder string for the search field                                                                                            | `string`  | `"Search"` |


## Dependencies

### Depends on

- [ux-icon](../icon)
- [ux-list](../list)

### Graph
```mermaid
graph TD;
  ux-dropdown --> ux-icon
  ux-dropdown --> ux-list
  ux-list --> ux-checkbox-list-item
  ux-checkbox-list-item --> ux-checkbox
  style ux-dropdown fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
