# ux-file-upload-thumbnail



<!-- Auto Generated Below -->


## Properties

| Property      | Attribute       | Description                                         | Type     | Default |
| ------------- | --------------- | --------------------------------------------------- | -------- | ------- |
| `file`        | --              | the fileitself to render an image thumbnail         | `File`   | `null`  |
| `fileInputId` | `file-input-id` | the data-file-input-id of the associated file input | `string` | `""`    |
| `fileName`    | `file-name`     | the file name of the associated file                | `string` | `""`    |
| `fileType`    | `file-type`     | the file type of the associated file                | `string` | `""`    |


## Events

| Event                | Description | Type               |
| -------------------- | ----------- | ------------------ |
| `uxFileUploadDelete` |             | `CustomEvent<any>` |


## Dependencies

### Used by

 - [ux-file-upload](..)

### Depends on

- [ux-icon](../../icon)

### Graph
```mermaid
graph TD;
  ux-file-upload-thumbnail --> ux-icon
  ux-file-upload --> ux-file-upload-thumbnail
  style ux-file-upload-thumbnail fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
