# ux-filter



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute  | Description                  | Type     | Default     |
| ---------- | ---------- | ---------------------------- | -------- | ----------- |
| `endpoint` | `endpoint` | This is a URL to a JSON API. | `string` | `undefined` |


## Events

| Event            | Description                                               | Type               |
| ---------------- | --------------------------------------------------------- | ------------------ |
| `uxFilterChange` | is triggered when any input inside the filter was changed | `CustomEvent<any>` |


## Dependencies

### Depends on

- [ux-tag](../tags)

### Graph
```mermaid
graph TD;
  ux-filter --> ux-tag
  ux-tag --> ux-icon
  style ux-filter fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
