# ux-tooltip



<!-- Auto Generated Below -->


## Properties

| Property        | Attribute        | Description                                                                                       | Type                                     | Default   |
| --------------- | ---------------- | ------------------------------------------------------------------------------------------------- | ---------------------------------------- | --------- |
| `align`         | `align`          | the desired alignment of the tooltip message                                                      | `"bottom" \| "left" \| "right" \| "top"` | `"right"` |
| `controlled`    | `controlled`     | set to true if the tooltip should be controlled from outside instead of handling UI events itself | `boolean`                                | `false`   |
| `tooltipTarget` | `tooltip-target` | the css selector of the tooltip target, tooltip and target have to have the same parent element   | `string`                                 | `""`      |


## Events

| Event                | Description                                         | Type                  |
| -------------------- | --------------------------------------------------- | --------------------- |
| `uxTooltipActivated` | Preventing multiple Tooltip avtive at the same time | `CustomEvent<string>` |


## Methods

### `hideTooltip() => Promise<void>`

hide/deactivate the tooltip

#### Returns

Type: `Promise<void>`



### `showTooltip() => Promise<void>`

show/activate the tooltip

#### Returns

Type: `Promise<void>`




----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
