export declare class DateTime {
  /** UTC time in a ISO_8601 Format https://en.wikipedia.org/wiki/ISO_8601 example: 2020-05-20 17:32:33 */
  utc: string;
  /** Format String according to https://day.js.org/docs/en/display/format example: "DD.MM.YYYY HH:mm". You can escape characters by wrapping them in []. For now this webcomponent displays localized parts in a date like "Monday" only in English */
  format: string;
  /** Holds the final result */
  formattedDateTime: string;
  componentWillLoad(): void;
  render(): any;
}
