import { EventEmitter } from "../../stencil-public-runtime";
export declare class Filter {
  /** This is a URL to a JSON API.  */
  endpoint: string;
  filterValues: Array<any>;
  domNode: HTMLUxFilterElement;
  /** the HTML Element containing the tag list */
  private tagList;
  tagRemovedHandler(event: CustomEvent): void;
  /** is triggered when any input inside the filter was changed */
  filterChange: EventEmitter;
  private onChange;
  private addTag;
  private updateRemoveAll;
  private removeAllFilters;
  private setTabList;
  private handleTagListVisibility;
  private tagListObserver;
  componentDidLoad(): void;
  initFilters(): void;
  private initSlot;
  render(): any;
}
