/**
 * @slot (default) - not to be used, it's purpose is to prevent icon duplication when
 *                   the web component is cloned.
 */
/**
 * this component is heavily inspired by https://github.com/ionic-team/ionicons
 */
export declare class Icon {
  iconElement: HTMLUxIconElement;
  /** name of icon */
  name: string;
  /** contains the full svg */
  private svgContent;
  /** array with the supported values for the fill prop, can be expanded if needed */
  private supportedFills;
  /** property to change the color of the icon, supported colors: green, white, black */
  fill: string;
  /** the size of the icon on mobile viewports */
  sizeS: number | null;
  /** the size of the icon on tablet viewports */
  sizeM: number | null;
  /** the size of the icon on desktop viewports */
  sizeL: number | null;
  private isIE;
  private hasCustomDimensions;
  private getIconDimension;
  private tabletMediaWatcher;
  private desktopMediaWatcher;
  iconDimension: number;
  connectedCallback(): void;
  disconnectedCallback(): void;
  componentWillLoad(): void;
  loadIcon(): void;
  render(): any;
}
