import { EventEmitter } from "../../../stencil-public-runtime";
export declare class Tab {
  domNode: HTMLUxTabElement;
  /** Sets the name for the corresponding tab-button */
  name: string;
  /** Sets ID for Tab */
  tabId: string;
  /** prop that will be set automatically by the ux-tab-container if it
  has the anchor-navigation prop. In this case, all tabs will be visible and
  will be displayed one after the other */
  anchorNavigation: boolean;
  /** Boolean to indicate active tab */
  active: boolean;
  tabNameChange: EventEmitter;
  emitTabNameChangeEvent(): void;
  setActiveTab(event: CustomEvent): void;
  hasSliderInTab: boolean;
  componentWillLoad(): void;
  render(): any;
}
