/* UxUi custom elements bundle */

import type { Components, JSX } from "../types/components";

interface UxAccordion extends Components.UxAccordion, HTMLElement {}
export const UxAccordion: {
  prototype: UxAccordion;
  new (): UxAccordion;
};

interface UxAutosuggestInput extends Components.UxAutosuggestInput, HTMLElement {}
export const UxAutosuggestInput: {
  prototype: UxAutosuggestInput;
  new (): UxAutosuggestInput;
};

interface UxAutosuggestItem extends Components.UxAutosuggestItem, HTMLElement {}
export const UxAutosuggestItem: {
  prototype: UxAutosuggestItem;
  new (): UxAutosuggestItem;
};

interface UxCheckbox extends Components.UxCheckbox, HTMLElement {}
export const UxCheckbox: {
  prototype: UxCheckbox;
  new (): UxCheckbox;
};

interface UxCheckboxListItem extends Components.UxCheckboxListItem, HTMLElement {}
export const UxCheckboxListItem: {
  prototype: UxCheckboxListItem;
  new (): UxCheckboxListItem;
};

interface UxCheckboxTile extends Components.UxCheckboxTile, HTMLElement {}
export const UxCheckboxTile: {
  prototype: UxCheckboxTile;
  new (): UxCheckboxTile;
};

interface UxCollapsible extends Components.UxCollapsible, HTMLElement {}
export const UxCollapsible: {
  prototype: UxCollapsible;
  new (): UxCollapsible;
};

interface UxCopyToClipboard extends Components.UxCopyToClipboard, HTMLElement {}
export const UxCopyToClipboard: {
  prototype: UxCopyToClipboard;
  new (): UxCopyToClipboard;
};

interface UxCountryIcon extends Components.UxCountryIcon, HTMLElement {}
export const UxCountryIcon: {
  prototype: UxCountryIcon;
  new (): UxCountryIcon;
};

interface UxDataIngest extends Components.UxDataIngest, HTMLElement {}
export const UxDataIngest: {
  prototype: UxDataIngest;
  new (): UxDataIngest;
};

interface UxDatePicker extends Components.UxDatePicker, HTMLElement {}
export const UxDatePicker: {
  prototype: UxDatePicker;
  new (): UxDatePicker;
};

interface UxDateRangePicker extends Components.UxDateRangePicker, HTMLElement {}
export const UxDateRangePicker: {
  prototype: UxDateRangePicker;
  new (): UxDateRangePicker;
};

interface UxDateTime extends Components.UxDateTime, HTMLElement {}
export const UxDateTime: {
  prototype: UxDateTime;
  new (): UxDateTime;
};

interface UxDirectSearchbox extends Components.UxDirectSearchbox, HTMLElement {}
export const UxDirectSearchbox: {
  prototype: UxDirectSearchbox;
  new (): UxDirectSearchbox;
};

interface UxDropdown extends Components.UxDropdown, HTMLElement {}
export const UxDropdown: {
  prototype: UxDropdown;
  new (): UxDropdown;
};

interface UxFileUpload extends Components.UxFileUpload, HTMLElement {}
export const UxFileUpload: {
  prototype: UxFileUpload;
  new (): UxFileUpload;
};

interface UxFileUploadThumbnail extends Components.UxFileUploadThumbnail, HTMLElement {}
export const UxFileUploadThumbnail: {
  prototype: UxFileUploadThumbnail;
  new (): UxFileUploadThumbnail;
};

interface UxFilter extends Components.UxFilter, HTMLElement {}
export const UxFilter: {
  prototype: UxFilter;
  new (): UxFilter;
};

interface UxFormGroup extends Components.UxFormGroup, HTMLElement {}
export const UxFormGroup: {
  prototype: UxFormGroup;
  new (): UxFormGroup;
};

interface UxIcon extends Components.UxIcon, HTMLElement {}
export const UxIcon: {
  prototype: UxIcon;
  new (): UxIcon;
};

interface UxInfiniteScrollSensor extends Components.UxInfiniteScrollSensor, HTMLElement {}
export const UxInfiniteScrollSensor: {
  prototype: UxInfiniteScrollSensor;
  new (): UxInfiniteScrollSensor;
};

interface UxInputField extends Components.UxInputField, HTMLElement {}
export const UxInputField: {
  prototype: UxInputField;
  new (): UxInputField;
};

interface UxList extends Components.UxList, HTMLElement {}
export const UxList: {
  prototype: UxList;
  new (): UxList;
};

interface UxMessageBox extends Components.UxMessageBox, HTMLElement {}
export const UxMessageBox: {
  prototype: UxMessageBox;
  new (): UxMessageBox;
};

interface UxModal extends Components.UxModal, HTMLElement {}
export const UxModal: {
  prototype: UxModal;
  new (): UxModal;
};

interface UxModalContent extends Components.UxModalContent, HTMLElement {}
export const UxModalContent: {
  prototype: UxModalContent;
  new (): UxModalContent;
};

interface UxModalFooter extends Components.UxModalFooter, HTMLElement {}
export const UxModalFooter: {
  prototype: UxModalFooter;
  new (): UxModalFooter;
};

interface UxNumberInput extends Components.UxNumberInput, HTMLElement {}
export const UxNumberInput: {
  prototype: UxNumberInput;
  new (): UxNumberInput;
};

interface UxPhoneInput extends Components.UxPhoneInput, HTMLElement {}
export const UxPhoneInput: {
  prototype: UxPhoneInput;
  new (): UxPhoneInput;
};

interface UxRadioButton extends Components.UxRadioButton, HTMLElement {}
export const UxRadioButton: {
  prototype: UxRadioButton;
  new (): UxRadioButton;
};

interface UxRadioListItem extends Components.UxRadioListItem, HTMLElement {}
export const UxRadioListItem: {
  prototype: UxRadioListItem;
  new (): UxRadioListItem;
};

interface UxRangeInput extends Components.UxRangeInput, HTMLElement {}
export const UxRangeInput: {
  prototype: UxRangeInput;
  new (): UxRangeInput;
};

interface UxRedirect extends Components.UxRedirect, HTMLElement {}
export const UxRedirect: {
  prototype: UxRedirect;
  new (): UxRedirect;
};

interface UxScrollToTopButton extends Components.UxScrollToTopButton, HTMLElement {}
export const UxScrollToTopButton: {
  prototype: UxScrollToTopButton;
  new (): UxScrollToTopButton;
};

interface UxSelect extends Components.UxSelect, HTMLElement {}
export const UxSelect: {
  prototype: UxSelect;
  new (): UxSelect;
};

interface UxSlider extends Components.UxSlider, HTMLElement {}
export const UxSlider: {
  prototype: UxSlider;
  new (): UxSlider;
};

interface UxSliderPagination extends Components.UxSliderPagination, HTMLElement {}
export const UxSliderPagination: {
  prototype: UxSliderPagination;
  new (): UxSliderPagination;
};

interface UxSliderSlide extends Components.UxSliderSlide, HTMLElement {}
export const UxSliderSlide: {
  prototype: UxSliderSlide;
  new (): UxSliderSlide;
};

interface UxSpinnerOverlay extends Components.UxSpinnerOverlay, HTMLElement {}
export const UxSpinnerOverlay: {
  prototype: UxSpinnerOverlay;
  new (): UxSpinnerOverlay;
};

interface UxStaticFilter extends Components.UxStaticFilter, HTMLElement {}
export const UxStaticFilter: {
  prototype: UxStaticFilter;
  new (): UxStaticFilter;
};

interface UxSteps extends Components.UxSteps, HTMLElement {}
export const UxSteps: {
  prototype: UxSteps;
  new (): UxSteps;
};

interface UxStepsItem extends Components.UxStepsItem, HTMLElement {}
export const UxStepsItem: {
  prototype: UxStepsItem;
  new (): UxStepsItem;
};

interface UxTab extends Components.UxTab, HTMLElement {}
export const UxTab: {
  prototype: UxTab;
  new (): UxTab;
};

interface UxTabButton extends Components.UxTabButton, HTMLElement {}
export const UxTabButton: {
  prototype: UxTabButton;
  new (): UxTabButton;
};

interface UxTabContainer extends Components.UxTabContainer, HTMLElement {}
export const UxTabContainer: {
  prototype: UxTabContainer;
  new (): UxTabContainer;
};

interface UxTabSwitcher extends Components.UxTabSwitcher, HTMLElement {}
export const UxTabSwitcher: {
  prototype: UxTabSwitcher;
  new (): UxTabSwitcher;
};

interface UxTable extends Components.UxTable, HTMLElement {}
export const UxTable: {
  prototype: UxTable;
  new (): UxTable;
};

interface UxTableSort extends Components.UxTableSort, HTMLElement {}
export const UxTableSort: {
  prototype: UxTableSort;
  new (): UxTableSort;
};

interface UxTag extends Components.UxTag, HTMLElement {}
export const UxTag: {
  prototype: UxTag;
  new (): UxTag;
};

interface UxTextareaField extends Components.UxTextareaField, HTMLElement {}
export const UxTextareaField: {
  prototype: UxTextareaField;
  new (): UxTextareaField;
};

interface UxToggleButton extends Components.UxToggleButton, HTMLElement {}
export const UxToggleButton: {
  prototype: UxToggleButton;
  new (): UxToggleButton;
};

interface UxTooltip extends Components.UxTooltip, HTMLElement {}
export const UxTooltip: {
  prototype: UxTooltip;
  new (): UxTooltip;
};

interface UxVideo extends Components.UxVideo, HTMLElement {}
export const UxVideo: {
  prototype: UxVideo;
  new (): UxVideo;
};

/**
 * Utility to define all custom elements within this package using the tag name provided in the component's source. 
 * When defining each custom element, it will also check it's safe to define by:
 *
 * 1. Ensuring the "customElements" registry is available in the global context (window).
 * 2. The component tag name is not already defined.
 *
 * Use the standard [customElements.define()](https://developer.mozilla.org/en-US/docs/Web/API/CustomElementRegistry/define) 
 * method instead to define custom elements individually, or to provide a different tag name.
 */
export declare const defineCustomElements: (opts?: any) => void;

/**
 * Used to manually set the base path where assets can be found.
 * If the script is used as "module", it's recommended to use "import.meta.url",
 * such as "setAssetPath(import.meta.url)". Other options include
 * "setAssetPath(document.currentScript.src)", or using a bundler's replace plugin to
 * dynamically set the path at build time, such as "setAssetPath(process.env.ASSET_PATH)".
 * But do note that this configuration depends on how your script is bundled, or lack of
 * bunding, and where your assets can be loaded from. Additionally custom bundling
 * will have to ensure the static assets are copied to its build directory.
 */
export declare const setAssetPath: (path: string) => void;

export interface SetPlatformOptions {
  raf?: (c: FrameRequestCallback) => number;
  ael?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  rel?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  ce?: (eventName: string, opts?: any) => CustomEvent;
}
export declare const setPlatformOptions: (opts: SetPlatformOptions) => void;

export type { Components, JSX };

export * from '../types';
