# ux-checkbox-tile



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute   | Description                                         | Type                  | Default  |
| ---------- | ----------- | --------------------------------------------------- | --------------------- | -------- |
| `imageAlt` | `image-alt` | alt image tag                                       | `string`              | `""`     |
| `imgSrc`   | `img-src`   | the image url for the media element of the checkbox | `string`              | `""`     |
| `lazyload` | `lazyload`  | optional lazyloading of images                      | `boolean`             | `false`  |
| `tag`      | `tag`       | optional text of the tag                            | `string`              | `""`     |
| `tagColor` | `tag-color` | color of the tag                                    | `"info" \| "warning"` | `"info"` |


## Slots

| Slot            | Description                                                                                                   |
| --------------- | ------------------------------------------------------------------------------------------------------------- |
| `"(default)"`   | Used for the ux-checkbox component to be wrapped                                                              |
| `"description"` | Used to insert a description for the checkbox,               which can be toggle by clicking on the info icon |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-checkbox-tile --> ux-icon
  style ux-checkbox-tile fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
