# ux-collapsible



<!-- Auto Generated Below -->


## Properties

| Property              | Attribute               | Description                                       | Type      | Default     |
| --------------------- | ----------------------- | ------------------------------------------------- | --------- | ----------- |
| `buttonTextCollapsed` | `button-text-collapsed` | the toggle button text in default collapsed state | `string`  | `undefined` |
| `buttonTextExpanded`  | `button-text-expanded`  | the toggle button text in expanded state          | `string`  | `undefined` |
| `isExpanded`          | `is-expanded`           | toggle expanded state                             | `boolean` | `undefined` |


## Events

| Event                   | Description                                         | Type                   |
| ----------------------- | --------------------------------------------------- | ---------------------- |
| `uxCollapsibleExpanded` | fired when the collapsible is expanded or collapsed | `CustomEvent<boolean>` |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-collapsible --> ux-icon
  style ux-collapsible fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
