# ux-copy-to-clipboard



<!-- Auto Generated Below -->


## Properties

| Property                       | Attribute                          | Description                                           | Type      | Default                    |
| ------------------------------ | ---------------------------------- | ----------------------------------------------------- | --------- | -------------------------- |
| `clickToCopyIcon`              | `click-to-copy-icon`               | Default icon                                          | `string`  | `"documents"`              |
| `clickToCopyIconSuccessful`    | `click-to-copy-icon-successful`    | Icon shown after copy link was clicked                | `string`  | `"checkmark-rounded-thin"` |
| `clickToCopyMessage`           | `click-to-copy-message`            | Default message which indicates link is copyable      | `string`  | `undefined`                |
| `clickToCopyMessageSuccessful` | `click-to-copy-message-successful` | Message which gets shown after clicking the copy link | `string`  | `undefined`                |
| `hideTextToCopy`               | `hide-text-to-copy`                | Setting wether link to be copied is hidden            | `boolean` | `false`                    |
| `textToCopy`                   | `text-to-copy`                     | Link which can be copied                              | `string`  | `undefined`                |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-copy-to-clipboard --> ux-icon
  style ux-copy-to-clipboard fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
