# ux-input-field



<!-- Auto Generated Below -->


## Properties

| Property      | Attribute     | Description                                              | Type      | Default  |
| ------------- | ------------- | -------------------------------------------------------- | --------- | -------- |
| `disabled`    | `disabled`    | indicates if the input field is disabled                 | `boolean` | `false`  |
| `error`       | `error`       | indicates if the input field has an error state          | `boolean` | `false`  |
| `errorMsg`    | `error-msg`   | error message that is rendered if component has an error | `string`  | `""`     |
| `inputId`     | `input-id`    | input id attribute                                       | `string`  | `""`     |
| `label`       | `label`       | label for the the input field                            | `string`  | `""`     |
| `name`        | `name`        | name of the input field                                  | `string`  | `""`     |
| `placeholder` | `placeholder` | placeholder for the input field                          | `string`  | `""`     |
| `required`    | `required`    | indicates if the input field is required                 | `boolean` | `false`  |
| `type`        | `type`        | type of the input field                                  | `string`  | `"text"` |
| `value`       | `value`       | value of the input element                               | `string`  | `""`     |


## Events

| Event           | Description                                                                                       | Type               |
| --------------- | ------------------------------------------------------------------------------------------------- | ------------------ |
| `uxInputChange` | event emitted on input change, deliveres an object with keys: currentValue, inputName and inputId | `CustomEvent<any>` |


## Slots

| Slot          | Description                  |
| ------------- | ---------------------------- |
| `"(default)"` | for the content of the label |


----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
