# ux-table



<!-- Auto Generated Below -->


## Properties

| Property           | Attribute             | Description                                                                                                                     | Type      | Default |
| ------------------ | --------------------- | ------------------------------------------------------------------------------------------------------------------------------- | --------- | ------- |
| `fixedColIndex`    | `fixed-col-index`     | zero-based index of the column that should be fixed on smaller viewports - defaults to the first col                            | `number`  | `0`     |
| `fullWidth`        | `full-width`          | the table should always be at least 100% wide                                                                                   | `boolean` | `false` |
| `hasFixedLink`     | `has-fixed-link`      | The link in the last column will be added into the fixed column on smaller viewports                                            | `boolean` | `false` |
| `maxFixedColWidth` | `max-fixed-col-width` | maximum number of pixels that the fixed column is allowed to be wide                                                            | `number`  | `250`   |
| `sortable`         | `sortable`            | the table should sort its static data by itself. Do not use this if the data needs to be sorted by some logic (i.e. via an API) | `boolean` | `false` |


----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
