import { EventEmitter } from "../../stencil-public-runtime";
export declare class CheckboxListItem {
  element: HTMLUxCheckboxListItemElement;
  /** this value is used on the checkbox inside this item */
  value: string;
  /** This is the label that is displayed for this item inside the dropdown */
  label: string;
  /** name which is used for checkbox groups or as identifier in forms  */
  name: string;
  /** indicates if the checkbox is checked */
  checked: boolean;
  /** indicates if the checkbox is disabled */
  disabled: boolean;
  checkboxListItemEvent: EventEmitter;
  private dispatchCheckboxListItemChange;
  render(): any;
}
