export declare class TextareaField {
  /** label for the the textarea field */
  label: string;
  /** value of the textarea element */
  value: string;
  /** textarea id attribute */
  textareaId: string;
  /** name of the textarea field */
  name: string;
  /** placeholder for the textarea field */
  placeholder: string;
  /** indicates if the textarea field is disabled */
  disabled: boolean;
  /** indicates if the textarea field is required  */
  required: boolean;
  /** indicates if the textarea field has an error state  */
  error: boolean;
  /** error message that is rendered if component has an error */
  errorMsg: string;
  setTextareaId(): void;
  componentWillLoad(): void;
  render(): any;
}
